BasicModelEditor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface BasicModelEditor

    com.change_vision.jude.api.inf.editor.BasicModelEditor

public BasicModelEditor

Interface to edit (create/delete) UML Models. Throws Exception when invalid models are generated. (e.g. Duplicated models with the same name are created in a package.)

Method Summary
`abstract void` | `changeParent(INamedElement newParent, INamedElement element)` Change a parent.
`abstract IAssociation` | `createAssociation(IClass class1, IClass class2, String name, String sourceEndRollName, String targetEndRollName)` Create an association between classes.
`abstract IAssociationClass` | `createAssociationClass(IClass class1, IClass class2, String name, String sourceEndRollName, String targetEndRollName)` Create an association class between classes.
`abstract IAttribute` | `createAttribute(IClass parentClass, String name, IClass type)` Create an attribute in a class.
`abstract IAttribute` | `createAttribute(IClass parentClass, String name, String typeExpression)` Create an attribute in a class.
`abstract IClass` | `createClass(IPackage parentPackage, String name)` Create a class in a parent package.
`abstract IClass` | `createClass(IClass parentClass, String name)` Create a class in a parent class.
`abstract IConstraint` | `createConstraint(INamedElement namedElement, String name)` Create a constraint to a named element.
`abstract IDependency` | `createDependency(INamedElement source, INamedElement target, String name)` Create a dependency between models.
`abstract IGeneralization` | `createGeneralization(IClass subClass, IClass superClass, String name)` Create a generalization between classes.
`abstract IClass` | `createInterface(IPackage parentPackage, String name)` Create an interface in a parent package.
`abstract IClass` | `createInterface(IClass parentClass, String name)` Create an interface in a parent class.
`abstract IModel` | `createModel(IPackage parentPackage, String name)` Create a model in a parent package.
`abstract IOperation` | `createOperation(IClass parentClass, String name, IClass returnType)` Create an operation in a class.
`abstract IOperation` | `createOperation(IClass parentClass, String name, String returnTypeExpression)` Create an operation in a class.
`abstract IPackage` | `createPackage(IPackage parentPackage, String name)` Create a package in a parent package.
`abstract IParameter` | `createParameter(IOperation operation, String name, IClass type)` Create a parameter in an operation.
`abstract IParameter` | `createParameter(IOperation operation, String name, String typeExpression)` Create a parameter in an operation.
`abstract IAttribute` | `createQualifier(IAttribute attribute, String name, IClass type)` Create a qualifier to an attribute.
`abstract IRealization` | `createRealization(IClass client, IClass supplier, String name)` Create a realization between a class and an interface.
`abstract IPackage` | `createSubsystem(IPackage parentPackage, String name)` Create a subsystem in a parent package.
`abstract ITaggedValue` | `createTaggedValue(IElement element, String tag, String value)` Create a tagged value to an element.
`abstract ITemplateBinding` | `createTemplateBinding(IClass boundElement, IClass template)` Create a template binding between a bound element and a class.
`abstract IClassifierTemplateParameter` | `createTemplateParameter(IClass klass, String name, IClass type, Object defaultValue)` Create a template parameter in a class.
`abstract IClassifierTemplateParameter` | `createTemplateParameter(IClass targetClass, String name, String typeString, Object defaultValue)` Create a template parameter in a class.
`abstract IUsage` | `createUsage(IClass client, IClass supplier, String name)` Create a usage between models.
`abstract void` | `delete(IElement element)` Delete models or elements from a project.
`abstract void` | `setLanguageCPlus(IModel project, boolean doApply)` Add/Delete C++ Language from a project.
`abstract void` | `setLanguageCSharp(IModel project, boolean doApply)` Add/Delete C# Language from a project.
`abstract void` | `setLanguageJava(IModel project, boolean doApply)` Add/Delete Java Language from a project.

Method Detail

### createPackage

    public abstract IPackage createPackage(IPackage parentPackage,
                                           String name)

  Create a package in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Package Name
  Returns:
    IPackage Package
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createModel

    public abstract IModel createModel(IPackage parentPackage,
                                       String name)

  Create a model in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Model Name
  Returns:
    IModel Model
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createSubsystem

    public abstract IPackage createSubsystem(IPackage parentPackage,
                                             String name)

  Create a subsystem in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Subsystem Name
  Returns:
    IPackage Subsystem
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createClass

    public abstract IClass createClass(IPackage parentPackage,
                                       String name)

  Create a class in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Class Name
  Returns:
    IClass Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createClass

    public abstract IClass createClass(IClass parentClass,
                                       String name)

  Create a class in a parent class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Class Name
  Returns:
    IClass Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createInterface

    public abstract IClass createInterface(IPackage parentPackage,
                                           String name)

  Create an interface in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Interface Name
  Returns:
    IClass Interface
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createInterface

    public abstract IClass createInterface(IClass parentClass,
                                           String name)

  Create an interface in a parent class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Interface Name
  Returns:
    IClass Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createAttribute

    public abstract IAttribute createAttribute(IClass parentClass,
                                               String name,
                                               IClass type)

  Create an attribute in a class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Attribute Name
    `type` - Attribute Type
  Returns:
    IAttribute Attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createAttribute

    public abstract IAttribute createAttribute(IClass parentClass,
                                               String name,
                                               String typeExpression)

  Create an attribute in a class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Attribute Name
    `typeExpression` - Type Expression
  Returns:
    IAttribute Attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createOperation

    public abstract IOperation createOperation(IClass parentClass,
                                               String name,
                                               IClass returnType)

  Create an operation in a class.

  Parameters:
    `parentClass` - Parent Class
    `name` - Operation Name
    `returnType` - Return Type, Null can be set as return Type to create a constructor.
  Returns:
    IOperation Operation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createOperation

    public abstract IOperation createOperation(IClass parentClass,
                                               String name,
                                               String returnTypeExpression)

  Create an operation in a class.

  Parameters:
    `parentClass` - ParentClass
    `name` - Operation Name
    `returnTypeExpression` - Return Type Expression, "" or null can be set as returnTypeExpression to create a constructor.
  Returns:
    IOperation Operation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createParameter

    public abstract IParameter createParameter(IOperation operation,
                                               String name,
                                               IClass type)

  Create a parameter in an operation.

  Parameters:
    `operation` - Operation
    `name` - Parameter Name
    `type` - Parameter Type
  Returns:
    IParameter Parameter
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createParameter

    public abstract IParameter createParameter(IOperation operation,
                                               String name,
                                               String typeExpression)

  Create a parameter in an operation.

  Parameters:
    `operation` - Operation
    `name` - Parameter Name
    `typeExpression` - Parameter Type Expression
  Returns:
    IParameter Parameter
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createAssociation

    public abstract IAssociation createAssociation(IClass class1,
                                                   IClass class2,
                                                   String name,
                                                   String sourceEndRollName,
                                                   String targetEndRollName)

  Create an association between classes.

  Parameters:
    `class1` - Start Class of Association
    `class2` - End Class of Association
    `name` - Association Name
    `sourceEndRollName` - Roll Name of Source End
    `targetEndRollName` - Roll Name of Target End
  Returns:
    IAssociation Association
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createAssociationClass

    public abstract IAssociationClass createAssociationClass(IClass class1,
                                                             IClass class2,
                                                             String name,
                                                             String sourceEndRollName,
                                                             String targetEndRollName)

  Create an association class between classes.

  Parameters:
    `class1` - Start Class of Association
    `class2` - End Class of Association
    `name` - Association Class Name
    `sourceEndRollName` - Roll Name of Source End
    `targetEndRollName` - Roll Name of Target End
  Returns:
    IAssociationClass Association Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createGeneralization

    public abstract IGeneralization createGeneralization(IClass subClass,
                                                         IClass superClass,
                                                         String name)

  Create a generalization between classes.

  Parameters:
    `subClass` - Sub Class (Child)
    `superClass` - Super Class (Parent)
    `name` - Generalization Name
  Returns:
    IGeneralization Generalization
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              CLASSIFIER_LOOP_KEY - if a generalization loop is found.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              GENERALIZATION_EXIST_KEY - if a generalization already exist.
              LEAF_ERROR_KEY - if a child element is added to a leaf element,
                               or an element with a child element is set as a leaf.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createRealization

    public abstract IRealization createRealization(IClass client,
                                                   IClass supplier,
                                                   String name)

  Create a realization between a class and an interface.

  Parameters:
    `client` - Class to Realize
    `supplier` - Interface
    `name` - Realization Name
  Returns:
    IRealization Realization
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              REALIZATION_EXIST_KEY - if a realization already exist.
              INVALID_REALIZATION_KEY - if a target of a realization is not an interface.
              REALIZATION_LOOP_ERROR_KEY - if a realization loops.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createUsage

    public abstract IUsage createUsage(IClass client,
                                       IClass supplier,
                                       String name)

  Create a usage between models.

  Parameters:
    `client` - Client Model
    `supplier` - Supplier Model
    `name` - Usage Name
  Returns:
    IUsage Usage
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              USAGE_EXIST_KEY - if a usage already exist.
              INVALID_USAGE_KEY - if a target of a usage is not an interface.
              USAGE_LOOP_ERROR_KEY - if a usage loops.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createDependency

    public abstract IDependency createDependency(INamedElement source,
                                                 INamedElement target,
                                                 String name)

  Create a dependency between models.

  Parameters:
    `source` - Source Model
    `target` - Target Model
    `name` - Dependency Name
  Returns:
    IDependency Dependency
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTaggedValue

    public abstract ITaggedValue createTaggedValue(IElement element,
                                                   String tag,
                                                   String value)

  Create a tagged value to an element.

  Parameters:
    `element` - Element
    `tag` - Tag
    `value` - Value
  Returns:
    ITaggedValue Tagged Value
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              TAGGEDVALUE_TARGET_ERROR_KEY - if the tagged value cannot be set to the specified model.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createConstraint

    public abstract IConstraint createConstraint(INamedElement namedElement,
                                                 String name)

  Create a constraint to a named element.

  Parameters:
    `namedElement` - Named Element
    `name` - Constraint Name
  Returns:
    IConstraint Constraint
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createQualifier

    public abstract IAttribute createQualifier(IAttribute attribute,
                                               String name,
                                               IClass type)

  Create a qualifier to an attribute.

  Parameters:
    `attribute` - Attribute
    `name` - Qualifier Name
    `type` - Type
  Returns:
    IAttribute Attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_ASSOCIATION_END_ERROR_KEY - if an association end does not exist.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTemplateBinding

    public abstract ITemplateBinding createTemplateBinding(IClass boundElement,
                                                           IClass template)

  Create a template binding between a bound element and a class.

  Parameters:
    `boundElement` - Bound Element
    `template` - Template Class
  Returns:
    ITemplateBinding Template Binding
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              INVALID_TEMPLATE_KEY - if the target of the template binding is not correct.
              TEMPLATEBINDING_LOOP_ERROR_KEY - if the template binding loops.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTemplateParameter

    public abstract IClassifierTemplateParameter createTemplateParameter(IClass klass,
                                                                         String name,
                                                                         IClass type,
                                                                         Object defaultValue)

  Create a template parameter in a class.

  Parameters:
    `name` - Template Parameter Name
    `type` - Type
    `defaultValue` - Default Value
  Returns:
    IClassifierTemplateParameter Template Parameter
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_KEY - if the default value cannot be set to The template parameter.
              NO_NAME_ERROR_KEY - if the name is empty.
              INVALID_TEMPLATE_KEY - if the target of the template binding is not correct.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTemplateParameter

    public abstract IClassifierTemplateParameter createTemplateParameter(IClass targetClass,
                                                                         String name,
                                                                         String typeString,
                                                                         Object defaultValue)

  Create a template parameter in a class.

  Parameters:
    `name` - Template Parameter Name
    `typeString` - Type
    `defaultValue` - Default Value
  Returns:
    IClassifierTemplateParameter Template Parameter
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_KEY - if the default value cannot be set to The template parameter.
              NO_NAME_ERROR_KEY - if the name is empty.
              INVALID_TEMPLATE_KEY - if the target of the template binding is not correct.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### delete

    public abstract void delete(IElement element)

  Delete models or elements from a project.

  Parameters:
    `element` - Element
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### changeParent

    public abstract void changeParent(INamedElement newParent,
                                      INamedElement element)

  Change a parent.

  Parameters:
    `newParent` - New Parent
    `element` - Element
  Throws:
    `ProjectNotFoundException` - Project cannot be found
    `ClassNotFoundException` - Cannot read some models
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_PARENT_KEY - if the parent is invalid.
         Values:
              Error messages for exceptions.

### setLanguageJava

    public abstract void setLanguageJava(IModel project,
                                         boolean doApply)

  Add/Delete Java Language from a project.

  Parameters:
    `project` - Project
    `doApply` - add or delete
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
         Values:
              Error messages for exceptions.

### setLanguageCSharp

    public abstract void setLanguageCSharp(IModel project,
                                           boolean doApply)

  Add/Delete C# Language from a project.

  Parameters:
    `project` - Project
    `doApply` - add or delete
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
         Values:
              Error messages for exceptions.

### setLanguageCPlus

    public abstract void setLanguageCPlus(IModel project,
                                          boolean doApply)

  Add/Delete C++ Language from a project.

  Parameters:
    `project` - Project
    `doApply` - add or delete
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
         Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD